import 'package:cofounderella/components/text_bold.dart';
import 'package:flutter/material.dart';

import '../constants.dart';

class MyAboutDialog extends StatelessWidget {
  const MyAboutDialog({super.key});

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: const Row(
        children: [
          Icon(Icons.info),
          SizedBox(width: 10),
          Text('About the app', style: TextStyle(fontSize: 18)),
        ],
      ),
      content: const SingleChildScrollView(
        child: ListBody(
          children: <Widget>[
            Row(
              children: [
                Icon(Icons.apps, size: 50),
                SizedBox(width: 10),
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    TextBold(text: Constants.appTitle, fontSize: 24),
                    Text(
                        'Version ${Constants.appVersion} (${Constants.appCompilationDate})'),
                  ],
                ),
              ],
            ),
            SizedBox(height: 20),
            Text(
                '© 2024 Team ${Constants.appTitle}. All rights reserved.'),
            SizedBox(height: 20),
            /*GestureDetector(
              onTap: () => {},
              child: const Text(
                'https://www.no-website.yet',
                style: TextStyle(
                  color: Colors.blue,
                  decoration: TextDecoration.underline,
                ),
              ),
            ),*/
            SizedBox(height: 20),
            Text(
              '${Constants.appTitle} helps entrepreneurs find the right co-founders who complement their skills and also share their interests and business goals. '
              'Whether you are looking for a tech expert, a marketing guru, or a visionary partner. This app aims to help you finding a perfect co-founder to bring your startup ideas to life.',
            ),
          ],
        ),
      ),
      actions: [
        TextButton(
          onPressed: () {
            showLicensePage(context: context);
          },
          child: const Text('View licenses'),
        ),
        TextButton(
          onPressed: () {
            Navigator.of(context).pop();
          },
          child: const Text('Close'),
        ),
      ],
    );
  }
}
