import 'package:cloud_firestore/cloud_firestore.dart';

import '../enumerations.dart';
import 'language.dart';
import 'location.dart';

class UserProfile {
  final String id;
  final String uid;
  final String email;
  String name;
  final String firstName;
  final String lastName;
  String? profilePictureUrl;
  String? urlFacebook;
  String? urlLinkedIn;
  String? urlXing;
  String? bio;
  Gender? gender;
  int? born;
  bool? active;
  Timestamp? verified;
  RiskTolerance risk;
  AvailabilityOption availability;
  CultureOption culture;
  CommunicationPreference communication;
  List<SkillOption> skills;
  List<SkillOption> skillsSought;
  List<SectorOption> sectors;
  List<VisionOption> visions;
  List<WorkValueOption> workValues;
  List<Language> languages;
  Map<String, MyLocation?> locations;

  UserProfile({
    required this.id,
    required this.uid,
    required this.email,
    required this.name,
    required this.firstName,
    required this.lastName,
    this.profilePictureUrl,
    this.urlFacebook,
    this.urlLinkedIn,
    this.urlXing,
    this.bio,
    this.gender,
    this.born,
    this.active,
    this.verified,
    required this.risk,
    required this.availability,
    required this.culture,
    required this.communication,
    required this.skills,
    required this.skillsSought,
    required this.sectors,
    required this.visions,
    required this.workValues,
    required this.languages,
    required this.locations,
  });
}
