import 'package:flutter/material.dart';
import '../components/text_bold.dart';
import '../services/auth/auth_gate.dart';
import '../services/auth/auth_service.dart';
import '../services/user_service.dart';

class RegistrationCompletePage extends StatelessWidget {
  const RegistrationCompletePage({super.key});

  @override
  Widget build(BuildContext context) {
    // Set the user as active when the page is built
    UserService.setUserActive(true, AuthService().getCurrentUser()!.uid);

    return Scaffold(
      appBar: AppBar(
        automaticallyImplyLeading: false, // remove back button
        title: const Text('Registration Complete'),
      ),
      body: Center(
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0),
          child: SingleChildScrollView(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                const Icon(
                  Icons.check_circle,
                  color: Colors.green,
                  size: 100,
                ),
                const SizedBox(height: 20),
                const TextBold(
                  text: 'Registration completed!',
                  fontSize: 24,
                ),
                const SizedBox(height: 40),
                const Text(
                  'Enhance your profile by adding additional information, '
                  'such as a short biography or a profile picture, '
                  'in the profile settings.',
                  textAlign: TextAlign.center,
                  style: TextStyle(fontSize: 18),
                ),
                const SizedBox(height: 80),
                const Text(
                  'You can enjoy the app now.',
                  style: TextStyle(fontSize: 18),
                ),
                const SizedBox(height: 20),
                ElevatedButton(
                  onPressed: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(builder: (context) => const AuthGate()),
                    );
                  },
                  child: const Text('S T A R T'),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
