Map<String, String> countryToIsoCode = {
  // Europe
  'Germany': 'DE',
  'Deutschland': 'DE',
  'Österreich': 'AT',
  'Austria': 'AT',
  'Belgien': 'BE',
  'Belgium': 'BE',
  'Belgique': 'BE',
  'België': 'BE',
  'Bulgarien': 'BG',
  'Bulgaria': 'BG',
  'България': 'BG',
  'Kroatien': 'HR',
  'Croatia': 'HR',
  'Hrvatska': 'HR',
  'Zypern': 'CY',
  'Cyprus': 'CY',
  'Κύπρος': 'CY',
  'Tschechien': 'CZ',
  'Czech Republic': 'CZ',
  'Česká republika': 'CZ',
  'Dänemark': 'DK',
  'Denmark': 'DK',
  'Danmark': 'DK',
  'Estland': 'EE',
  'Estonia': 'EE',
  'Eesti': 'EE',
  'Finnland': 'FI',
  'Finland': 'FI',
  'Suomi': 'FI',
  'Frankreich': 'FR',
  'France': 'FR',
  'Griechenland': 'GR',
  'Greece': 'GR',
  'Ελλάδα': 'GR',
  'Ungarn': 'HU',
  'Hungary': 'HU',
  'Magyarország': 'HU',
  'Island': 'IS',
  'Iceland': 'IS',
  'Ísland': 'IS',
  'Irland': 'IE',
  'Ireland': 'IE',
  'Éire': 'IE',
  'Italien': 'IT',
  'Italy': 'IT',
  'Italia': 'IT',
  'Lettland': 'LV',
  'Latvia': 'LV',
  'Latvija': 'LV',
  'Litauen': 'LT',
  'Lithuania': 'LT',
  'Lietuva': 'LT',
  'Luxemburg': 'LU',
  'Luxembourg': 'LU',
  'Malta': 'MT',
  'Netherlands': 'NL',
  'Niederlande': 'NL',
  'Nederland': 'NL',
  'Polen': 'PL',
  'Poland': 'PL',
  'Polska': 'PL',
  'Portugal': 'PT',
  'Rumänien': 'RO',
  'Romania': 'RO',
  'România': 'RO',
  'Slowakei': 'SK',
  'Slovakia': 'SK',
  'Slovensko': 'SK',
  'Slowenien': 'SI',
  'Slovenia': 'SI',
  'Slovenija': 'SI',
  'Spanien': 'ES',
  'Spain': 'ES',
  'España': 'ES',
  'Schweden': 'SE',
  'Sweden': 'SE',
  'Sverige': 'SE',
  'Schweiz': 'CH',
  'Switzerland': 'CH',
  'Suisse': 'CH',
  'Svizzera': 'CH',
  'Беларусь': 'BY',
  'Belarus': 'BY',
  'Weißrussland': 'BY',
  'Bosnien und Herzegowina': 'BA',
  'Bosnia and Herzegovina': 'BA',
  'Bosna i Hercegovina': 'BA',
  'Nordmazedonien': 'MK',
  'North Macedonia': 'MK',
  'Северна Македонија': 'MK',
  'Serbien': 'RS',
  'Serbia': 'RS',
  'Србија': 'RS',
  'Montenegro': 'ME',
  'Albanien': 'AL',
  'Albania': 'AL',
  'Shqipëri': 'AL',
  'Türkei': 'TR',
  'Turkey': 'TR',
  'Türkiye': 'TR',
  'Russland': 'RU',
  'Russia': 'RU',
  'Россия': 'RU',
  'Ukraine': 'UA',
  'Україна': 'UA',

  // Asia
  'China': 'CN',
  '中国': 'CN',
  'Zhōngguó': 'CN',
  'Japan': 'JP',
  '日本': 'JP',
  'Nihon': 'JP',
  'Südkorea': 'KR',
  'South Korea': 'KR',
  '대한민국': 'KR',
  'Daehanminguk': 'KR',
  'Indien': 'IN',
  'India': 'IN',
  'भारत': 'IN',
  'Bhārat': 'IN',

  // North America
  'Kanada': 'CA',
  'Canada': 'CA',
  'Mexiko': 'MX',
  'Mexico': 'MX',
  'Estados Unidos Mexicanos': 'MX',
  'Vereinigte Staaten': 'US',
  'United States': 'US',
  'USA': 'US',
};

String getCountryIsoCode(String country) {
  return countryToIsoCode[country] ?? country;
}

bool compareCountries(String country1, String country2) {
  if (getCountryIsoCode(country1) == getCountryIsoCode(country2)) {
    return true;
  } else {
    return false;
  }
}
